Skip to main content
`Ctrl`+`K`

# PetscBenchView

Views a PETSc benchmark `PetscBench`

## Synopsis

    #include "petscbm.h"
    PetscErrorCode PetscBenchView(PetscBench bm, PetscViewer viewer)

Collective

## Input Parameters

- bm - the `PetscBench`

- viewer - location to view `bm`

## See Also

`PetscBench`, `PetscBenchSetFromOptions()`, `PetscBenchRun()`, `PetscBenchCreate()`, `PetscBenchDestroy()`, `PetscBenchSetUp()`, `PetscBenchSetType()`, `PetscBenchSetSize()`, `PetscBenchGetSize()`, `PetscBenchViewFromOptions()`

## Level

advanced

## Location

src/sys/classes/bm/interfaces/bm.c

Index of all BM routines
Table of Contents for all manual pages
Index of all manual pages